﻿using System;
using System.Globalization;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            #region 이벤트를 설정한다.

            Load += Form_Load;

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            float    floatValue   = 1234.56f;
            decimal  decimalvalue = 1234.56m;
            DateTime dateTime     = DateTime.Now;

            foreach(CultureInfo info in CultureInfo.GetCultures(CultureTypes.AllCultures))
            {
                ListViewItem item = this.listView.Items.Add(info.EnglishName);

                item.SubItems.Add(info.NativeName);
                item.SubItems.Add(info.Name);

                CultureInfo currentInfo = info;

                while((currentInfo != null) && (currentInfo.IsNeutralCulture))
                {
                    currentInfo = currentInfo.Parent;
                }

                if(currentInfo != null)
                {
                    item.SubItems.Add(floatValue.ToString("N", currentInfo));
                    item.SubItems.Add(decimalvalue.ToString("C", currentInfo));
                    item.SubItems.Add(dateTime.ToString("d", currentInfo));
                    item.SubItems.Add(dateTime.ToString("t", currentInfo));
                }
            }
        }

        #endregion
    }
}